package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * fileName: Sex
 * author: LuoZhun
 * createTime: 2023/11/8 17:14
 * description: 性别
 */
@Getter
@AllArgsConstructor
public enum Sex implements BaseEnum<Integer>, IEnum<Integer> {
    MAN(0, "男"),
    WOMAN(1, "女"),
    UNKNOWN(2, "隐藏");

    private final Integer value;
    private final String label;

}
